tool
extends Spatial


func _on_Document_add_track(track: SummerDayTrack):
	var packed_scene = track.blueprint.get_model()
	print("I'm winning it")
	var instance = packed_scene.instance()
	add_child(instance, true)
	print("pain")
